# Class PluginSupport

java.lang.Object
com.codename1.plugin.PluginSupport

public class PluginSupport extends Object
Support class for implementing plugins in codename one.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginSupport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deregisterPlugin(Plugin plugin)`
  Deregisters a plugin from the Codename One runtime.
  `<T extends PluginEvent>
  T`
  `firePluginEvent(T event)`
  Fires a plugin event to give plugins an opportunity to handle it before default behaviour is resumed.
  `void`
  `registerPlugin(Plugin plugin)`
  Registers a plugin with the Codename One runtime.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### PluginSupport

    public PluginSupport()

- ## Method Details

  - ### registerPlugin

    public void registerPlugin(Plugin plugin)

    Registers a plugin with the Codename One runtime.

    ###### Parameters

    - `plugin`: The plugin to register.

    ###### Since

    8.0

  - ### deregisterPlugin

    public void deregisterPlugin(Plugin plugin)

    Deregisters a plugin from the Codename One runtime.

    ###### Parameters

    - `plugin`: The plugin to deregister

    ###### Since

    8.0

  - ### firePluginEvent

    public <T extends PluginEvent> T firePluginEvent(T event)

    Fires a plugin event to give plugins an opportunity to handle it before default behaviour is resumed.

    ###### Parameters

    - `event`: The event to fire.

    - `The`: event class

    ###### Returns

    The event